Ask Your Question

Revision history [back]

I have just installed fedora 29 and all goes well. however, when I try to use DNF to install or search applications, I am getting the following error message. Please, help me how I can get this resolved.

Error processing line 1 of /usr/lib/python3.7/site-packages/Paste-2.0.3-py3.7-nspkg.pth:

Fatal Python error: initsite: Failed to import the site module Traceback (most recent call last): File "/usr/lib64/python3.7/site.py", line 168, in addpackage exec(line) File "<string>", line 1, in <module> File "/usr/lib64/python3.7/importlib/util.py", line 14, in <module> from contextlib import contextmanager File "/usr/lib64/python3.7/contextlib.py", line 5, in <module> from collections import deque File "/usr/lib64/python3.7/collections/__init__.py", line 22, in <module> from keyword import iskeyword as _iskeyword File "<frozen importlib._bootstrap="">", line 983, in _find_and_load File "<frozen importlib._bootstrap="">", line 967, in _find_and_load_unlocked File "<frozen importlib._bootstrap="">", line 677, in _load_unlocked File "<frozen importlib._bootstrap_external="">", line 724, in exec_module File "<frozen importlib._bootstrap_external="">", line 857, in get_code File "<frozen importlib._bootstrap_external="">", line 525, in _compile_bytecode ValueError: bad marshal data (unknown type code)

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib64/python3.7/site.py", line 581, in <module> main() File "/usr/lib64/python3.7/site.py", line 568, in main known_paths = addsitepackages(known_paths) File "/usr/lib64/python3.7/site.py", line 360, in addsitepackages addsitedir(sitedir, known_paths) File "/usr/lib64/python3.7/site.py", line 207, in addsitedir addpackage(sitedir, name, known_paths) File "/usr/lib64/python3.7/site.py", line 178, in addpackage import traceback File "/usr/lib64/python3.7/traceback.py", line 3, in <module> import collections File "/usr/lib64/python3.7/collections/__init__.py", line 22, in <module> from keyword import iskeyword as _iskeyword File "<frozen importlib._bootstrap="">", line 983, in _find_and_load File "<frozen importlib._bootstrap="">", line 967, in _find_and_load_unlocked File "<frozen importlib._bootstrap="">", line 677, in _load_unlocked File "<frozen importlib._bootstrap_external="">", line 724, in exec_module File "<frozen importlib._bootstrap_external="">", line 857, in get_code File "<frozen importlib._bootstrap_external="">", line 525, in _compile_bytecode ValueError: bad marshal data (unknown type code)

click to hide/show revision 2
None

I have just installed fedora 29 and all goes well. however, when I try to use DNF to install or search applications, I am getting the following error message. Please, help me how I can get this resolved.

Error processing line 1 of /usr/lib/python3.7/site-packages/Paste-2.0.3-py3.7-nspkg.pth:

Fatal Python error: initsite: Failed to import the site module
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site.py", line 168, in addpackage
    exec(line)
  File "<string>", line 1, in <module>
  File "/usr/lib64/python3.7/importlib/util.py", line 14, in <module>
    from contextlib import contextmanager
  File "/usr/lib64/python3.7/contextlib.py", line 5, in <module>
    from collections import deque
  File "/usr/lib64/python3.7/collections/__init__.py", line 22, in <module>
    from keyword import iskeyword as _iskeyword
  File "<frozen importlib._bootstrap="">", importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap="">", importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap="">", importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external="">", importlib._bootstrap_external>", line 724, in exec_module
  File "<frozen importlib._bootstrap_external="">", importlib._bootstrap_external>", line 857, in get_code
  File "<frozen importlib._bootstrap_external="">", importlib._bootstrap_external>", line 525, in _compile_bytecode
ValueError: bad marshal data (unknown type code)

code)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.7/site.py", line 581, in <module>
    main()
  File "/usr/lib64/python3.7/site.py", line 568, in main
    known_paths = addsitepackages(known_paths)
  File "/usr/lib64/python3.7/site.py", line 360, in addsitepackages
    addsitedir(sitedir, known_paths)
  File "/usr/lib64/python3.7/site.py", line 207, in addsitedir
    addpackage(sitedir, name, known_paths)
  File "/usr/lib64/python3.7/site.py", line 178, in addpackage
    import traceback
  File "/usr/lib64/python3.7/traceback.py", line 3, in <module>
    import collections
  File "/usr/lib64/python3.7/collections/__init__.py", line 22, in <module>
    from keyword import iskeyword as _iskeyword
  File "<frozen importlib._bootstrap="">", importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap="">", importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap="">", importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external="">", importlib._bootstrap_external>", line 724, in exec_module
  File "<frozen importlib._bootstrap_external="">", importlib._bootstrap_external>", line 857, in get_code
  File "<frozen importlib._bootstrap_external="">", importlib._bootstrap_external>", line 525, in _compile_bytecode
ValueError: bad marshal data (unknown type code)

code)